readWorkbook {openxlsx} | R Documentation

## Read from an Excel file or Workbook object

### Description

Read data from an Excel file or Workbook object into a data.frame

### Usage

    readWorkbook(xlsxFile, sheet = 1, startRow = 1, colNames = TRUE,
      rowNames = FALSE, detectDates = FALSE, skipEmptyRows = TRUE,
      skipEmptyCols = TRUE, rows = NULL, cols = NULL, check.names = FALSE,
      namedRegion = NULL, na.strings = "NA", fillMergedCells = FALSE)

### Arguments

`xlsxFile` | An xlsx file, Workbook object or URL to xlsx file.
`sheet` | The name or index of the sheet to read data from.
`startRow` | first row to begin looking for data. Empty rows at the top of a file are always skipped, regardless of the value of startRow.
`colNames` | If `TRUE`, the first row of data will be used as column names.
`rowNames` | If `TRUE`, first column of data will be used as row names.
`detectDates` | If `TRUE`, attempt to recognise dates and perform conversion.
`skipEmptyRows` | If `TRUE`, empty rows are skipped else empty rows after the first row containing data will return a row of NAs.
`skipEmptyCols` | If `TRUE`, empty columns are skipped.
`rows` | A numeric vector specifying which rows in the Excel file to read. If NULL, all rows are read.
`cols` | A numeric vector specifying which columns in the Excel file to read. If NULL, all columns are read.
`check.names` | logical. If TRUE then the names of the variables in the data frame are checked to ensure that they are syntactically valid variable names
`namedRegion` | A named region in the Workbook. If not NULL startRow, rows and cols parameters are ignored.
`na.strings` | A character vector of strings which are to be interpreted as NA. Blank cells will be returned as NA.
`fillMergedCells` | If TRUE, the value in a merged cell is given to all cells within the merge.

### Details

Creates a data.frame of all data in worksheet.

### Value

data.frame

### Author(s)

Alexander Walker

### See Also

`getNamedRegions`

`read.xlsx`

### Examples

    xlsxFile <- system.file("readTest.xlsx", package = "openxlsx")
    df1 <- readWorkbook(xlsxFile = xlsxFile, sheet = 1)

    xlsxFile <- system.file("readTest.xlsx", package = "openxlsx")
    df1 <- readWorkbook(xlsxFile = xlsxFile, sheet = 1, rows = c(1, 3, 5), cols = 1:3)

[Package openxlsx version 4.1.0 Index]